<?php
/**
 * stats Model Class
 *
 * @author      narendra maharajan
 * @state	Nooku
 * @package     stats module
 * @subpackage  Listbingo
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

class modLBStatsHelper {

	function getLatestAds($limit) {
		
		$cpanelmodel = GFactory::get('admin::com.listbingo.model.cpanel');
		$result = $cpanelmodel->getAds($limit,'listbingo_ad_id');
		return $result;
	}

	function getPopularAds($limit) {
		
		$cpanelmodel = GFactory::get('admin::com.listbingo.model.cpanel');
		return $cpanelmodel->getAds($limit,'views');
	}

	function getStatistics() {
		
		$cpanelmodel = GFactory::get('admin::com.listbingo.model.cpanel');
		$statistics = new JObject();
		$statistics->ad = $cpanelmodel->getAdStatistic();
		$statistics->numOfExtrafield = $cpanelmodel->countActiveInfo('listbingo_extrafields');
		$statistics->numOfActiveCountries = $cpanelmodel->countActiveInfo('listbingo_countries');
		$statistics->numOfActiveRegion = $cpanelmodel->countActiveInfo('listbingo_regions');
		return $statistics;
	}
	function getTodayStatistics(){
		$todaydate=date('Y-m-d');
		//$todaydate="2012-02-20";
		$time0=$todaydate." "."00:00:00";
		$time1=$todaydate." "."06:00:00";
		$time2=$todaydate." "."12:00:00";
		$time3=$todaydate." "."18:00:00";
		$time4=$todaydate." "."23:59:59";
		$cpanelmodel = GFactory::get('admin::com.listbingo.model.cpanel');
		$tdystatistics = new JObject();
		$tdystatistics->time1 = $cpanelmodel->countTodayAds($time0,$time1);
		$tdystatistics->time2 = $cpanelmodel->countTodayAds($time1,$time2);
		$tdystatistics->time3 = $cpanelmodel->countTodayAds($time2,$time3);
		$tdystatistics->time4 = $cpanelmodel->countTodayAds($time3,$time4);
		
		return $tdystatistics;
	}

}
