<?php
/**
 * stats Model Class
 *
 * @author      narendra maharajan
 * @state	Nooku
 * @package     stats module
 * @subpackage  Listbingo
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.html.pane'); 

///test stats

$document =& JFactory::getDocument();
$baseurl = JURI::root();
$jspath = $baseurl.'media/com_gobingoo/js/';
$jsnextpath = $baseurl.'administrator/modules/mod_lbstats/js/';
$cssurl	= $baseurl."administrator/modules/mod_lbstats/css/";

$document->addScript($jspath.'gb.jquery.js');
$document->addStyleSheet($cssurl.'tab.css');//tabs css
$document->addScript($jsnextpath.'gbtabs.js'); //tabs js
$document->addScript("http://www.google.com/jsapi");
$document->addScript($jsnextpath.'gvChart.js');
$script ="
	gvChartInit();
		gb.jQuery(document).ready(function(){
				
			gb.jQuery('#myAdChart').gvChart({
				chartType: 'PieChart',
				gvSettings: {
						
		 			vAxis: {title: '".JText::_('COM_LISTBINGO_NUMBEROF_ADS')."'},
					hAxis: {title: '".JText::_('COM_LISTBINGO_AD')."'},
					width: 510,
					height: 300
					
					}
					
			});
			
			gb.jQuery('#myAdtdyChart').gvChart({
				chartType: 'LineChart',
				gvSettings: {
						
		 			vAxis: {title: '".JText::_('COM_LISTBINGO_NUMBEROF_ADS')."'},
					hAxis: {title: '".JText::_('COM_LISTBINGO_HOURS_ADS')."'},
					width: 510,
					height: 300
					
					}
					
			});
			
			
			
		});";

$document->addScriptDeclaration($script);
?>


<div class="clr"></div>
<div id="tabContaier"> 
  <ul class="tabs"> 
    <li class="tabs"><a  id='tab_1' class="active"><?php echo JText::_('COM_LISTBINGO_LATEST_ADS'); ?> </a></li> 
    <li class="tabs"><a  id='tab_2' ><?php echo  JText::_('COM_LISTBINGO_POPULAR_ADS'); ?></a></li> 
    <li class="tabs"><a  id='tab_3'  ><?php  echo JText::_('COM_LISTBINGO_STATISTICS'); ?></a></li> 
    <li class="tabs"><a  id='tab_4'  ><?php echo  JText::_('COM_LISTBINGO_STATISTICS_CHART'); ?></a></li> 
    <li class="tabs"><a  id='tab_5'  ><?php echo  JText::_('COM_LISTBINGO_TODAY_ADS_STATISTICS_CHART'); ?></a></li> 
  </ul> 
  <div class="clear"></div>
  
  <?php if($params->get('latestAds', 1)): ?>
	  <div id="tab1" class="tabContents">
	  
		  	<table class="adminlist">
			<thead>
				<tr>
					<th ><?php echo JText::_('COM_LISTBINGO_TITLE'); ?></th>
					<th ><?php echo JText::_('COM_LISTBINGO_CREATED'); ?></th>
					<th ><?php echo JText::_('COM_LISTBINGO_AUTHOR'); ?></th>
				</tr>
			</thead>
			<tbody>
				<?php 
				
				foreach($latestAds as $latest): 
				$path=GFactory::get('admin::com.listbingo.helper.route')->route('index.php?option=com_listbingo&view=ad&adid='.$latest->listbingo_ad_id);
				$new_path=str_replace('/administrator','',$path);
				?>
				<tr>
					<td><a href="<?php echo $new_path; ?>"><?php echo $latest->title;?></a></td>
					<td class="center"><?php echo GFactory::get('admin::com.gobingoo.helper.locale')->getDate(array('date'=> $latest->created_date,'format'=>'F j, Y','humanize'=>true));?></td>
					<td class="center"><?php if(isset($latest->user)){echo $latest->user;}else{echo "Guest"; }?></td>
				</tr>
				<?php endforeach; ?>
			</tbody>
			</table>
		  
	  
	  </div>
   <?php endif; ?>
   <?php if($params->get('popularAds', 1)): ?>
		  <div id="tab2" class="tabContents">
				  <table class="adminlist">
					<thead>
						<tr>
							<th ><?php echo JText::_('COM_LISTBINGO_TITLE'); ?></th>
							<th ><?php echo JText::_('COM_LISTBINGO_HITS'); ?></th>
							
							<th ><?php echo JText::_('COM_LISTBINGO_CREATED'); ?></th>
							<th ><?php echo JText::_('COM_LISTBINGO_AUTHOR'); ?></th>
						</tr>
					</thead>
					<tbody>
						<?php foreach($popularAds as $popular):
						$path=GFactory::get('admin::com.listbingo.helper.route')->route('index.php?option=com_listbingo&view=ad&adid='.$popular->listbingo_ad_id);
						$new_path=str_replace('/administrator','',$path);
						
						?>
						<tr>
							<td><a href="<?php echo $new_path; ?>"><?php echo $popular->title; ?></a></td>
							<td class="center"><?php echo $popular->views; ?></td>
							
							<td class="center"><?php echo GFactory::get('admin::com.gobingoo.helper.locale')->getDate(array('date'=> $popular->created_date,'format'=>'F j, Y','humanize'=>true));?></td>
							<td class="center"><?php if(isset($latest->user)){echo $latest->user;}else{echo "Guest"; } ?></td>
						</tr>
						<?php endforeach; ?>
					</tbody>
				</table>
		  </div> 
  <?php endif; ?>
  
  <?php if($params->get('statistics', 1)): ?>
		  <div id="tab3" class="tabContents">
		  
				  <table class="adminlist">
					<thead>
						<tr>
							<th ><?php echo JText::_('COM_LISTBINGO_TYPE'); ?></th>
							<th ><?php echo JText::_('COM_LISTBINGO_COUNT'); ?></th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td><?php echo JText::_('COM_LISTBINGO_TOTAL_AD'); ?></td>
							<td><?php if(!empty($statistics->ad['total'])){?>
								<a href="<?php echo JRoute::_('index.php?option=com_listbingo&view=ads&layout=default')?>"><?php echo $statistics->ad['total']; ?></a>
								<?php }else{
									echo $statistics->ad['total'];
								 }?>
							</td>
						</tr>
						<tr>
							<td valign="top"><?php echo JText::_('COM_LISTBINGO_AD'); ?></td>
							<td >
							<?php echo JText::_('COM_LISTBINGO_ACTIVE_ADS') .' :  ';
									if(!empty($statistics->ad['published'])){
										
									?>
									 	<a href="<?php echo JRoute::_('index.php?option=com_listbingo&view=ads&layout=default&status=1')?>">
									 		<?php echo $statistics->ad['published']; ?>
										 </a>
									 <?php }else{
									 	
									 		echo $statistics->ad['published'];
									 }?>
							 <br>
							<?php echo  JText::_('COM_LISTBINGO_ARCHIVE_ADS').' : ';
									if(!empty($statistics->ad['archived'])){
										
									?>
										<a href="<?php echo JRoute::_('index.php?option=com_listbingo&view=ads&layout=default&status=4')?>">
											<?php echo $statistics->ad['archived']; ?>
										</a>
										
									<?php }else{
									
										 echo $statistics->ad['archived'];
										
									}?>	
								<br>
							<?php echo JText::_('COM_LISTBINGO_CLOSED_ADS') .' : ';
									if(!empty($statistics->ad['closed'])){
										
									?>
										<a href="<?php echo JRoute::_('index.php?option=com_listbingo&view=ads&layout=default&status=3')?>">
											<?php echo  $statistics->ad['closed']; ?>
										</a>
										<?php }else{
									
										 echo $statistics->ad['closed'];
										
									}?>	
								
								<br>
							<?php echo JText::_('COM_LISTBINGO_SUSPENDED_ADS').' : ';
									if(!empty($statistics->ad['suspended'])){
										
									?>
									<a href="<?php echo JRoute::_('index.php?option=com_listbingo&view=ads&layout=default&status=2')?>">
										<?php echo $statistics->ad['suspended']; ?>
									</a>
									<?php }else{
									
										 echo $statistics->ad['suspended'];
										
									}?>	
							<br>
							<?php echo JText::_('COM_LISTBINGO_UNPUBLISH_ADS').' : ';
									 if(!empty($statistics->ad['unpublished'])){
									 	
									?>
									
									<a href="<?php echo JRoute::_('index.php?option=com_listbingo&view=ads&layout=default&status=0')?>">
										<?php echo $statistics->ad['unpublished']; ?>
									</a>
									<?php }else{
										
										echo $statistics->ad['unpublished'];
									}
									?>
							<br>
							<?php  echo JText::_('COM_LISTBINGO_EXPIRE_ADS').'  : '.$statistics->ad['expired']; ?><br>
							
							</td>
						</tr>
						<tr>
							<td><?php echo JText::_('COM_LISTBINGO_EXTRAFIELD'); ?></td>
							<td>
							<?php if(!empty($statistics->numOfExtrafield)){
									 	
									?>
									
									<a href="<?php echo JRoute::_('index.php?option=com_listbingo&view=extrafields&layout=default&enabled=1')?>">
										<?php echo $statistics->numOfExtrafield; ?>
									</a>
									<?php }else{
										
										echo $statistics->numOfExtrafield;
									}
									?>
							
							
							</td>
						</tr>
						<tr>
							<td><?php echo JText::_('COM_LISTBINGO_ACTIVE_COUNTRIES'); ?></td>
							<td>
							<?php if(!empty($statistics->numOfActiveCountries)){
									 	
									?>
									
									<a href="<?php echo JRoute::_('index.php?option=com_listbingo&view=countries&layout=default&enabled=1')?>">
										<?php echo $statistics->numOfActiveCountries; ?>
									</a>
									<?php }else{
										
										echo $statistics->numOfActiveCountries;
									}
									?>
							
							</td>
						</tr>
						<tr>
							<td><?php echo JText::_('COM_LISTBINGO_ACTIVE_REGION'); ?></td>
							<td>
							<?php if(!empty($statistics->numOfActiveRegion)){
									 	
									?>
									
									<a href="<?php echo JRoute::_('index.php?option=com_listbingo&view=regions&layout=default&enabled=1')?>">
										<?php echo $statistics->numOfActiveRegion; ?>
									</a>
									<?php }else{
										
										echo $statistics->numOfActiveRegion;
									}
									?>
							
							</td>
						</tr>
						
					</tbody>
				</table>
		  
		  </div>
<?php endif; ?>
  
<?php if($params->get('statistics', 1)): ?>
		<div id="tab4" class="tabContents">
		
				<table id='myAdChart'>
								<caption><?php echo JText::_('COM_LISTBINGO_ADS_CHART');?></caption>
								<thead>
									<tr>
										<th></th>
				
										<th><?php echo JText::_('COM_LISTBINGO_ACTIVE_ADS');?></th>
										<th><?php echo JText::_('COM_LISTBINGO_UNPUBLISH_ADS');?></th>
										<th><?php echo JText::_('COM_LISTBINGO_SUSPENDED_ADS');?></th>
										<th><?php echo JText::_('COM_LISTBINGO_CLOSED_ADS');?></th>
										<th><?php echo JText::_('COM_LISTBINGO_ARCHIVE_ADS');?></th>
										
				
									</tr>
								</thead>
									<tbody>
									<tr>
										<th></th>
										<td><?php echo $statistics->ad['published']; ?></td>
										<td><?php echo $statistics->ad['unpublished']; ?></td>
				
										<td><?php echo $statistics->ad['suspended']; ?></td>
										<td><?php echo $statistics->ad['closed']; ?></td>
										<td><?php echo $statistics->ad['archived']; ?></td>
										
									</tr>
								</tbody>
							</table>
		
		</div>
<?php endif; ?>
<?php if($params->get('tdystatistics', 1)): ?>
<div id="tab5" class="tabContents">
		
				<table id='myAdtdyChart'>
								<caption><?php echo JText::_('COM_LISTBINGO_TODAY_ADS_CHART');?></caption>
								<thead>
									<tr>
										<th></th>
				
										<th>6</th>
										<th>12</th>
										<th>18</th>
										<th>24</th>
										
										
				
									</tr>
								</thead>
									<tbody>
									<tr>
										<th></th>
										<td><?php echo $tdystatistics->time1;?></td>
										<td><?php echo $tdystatistics->time2;?></td>
										<td><?php echo $tdystatistics->time3;?></td>
										<td><?php echo $tdystatistics->time4;?></td>
										
										
									</tr>
								</tbody>
							</table>
		
		</div>
		<?php endif; ?>
</div>
