<?php
/**
 *
 * Show the products in a category
 *
 * @package    VirtueMart
 * @subpackage
 * @author RolandD
 * @author Max Milbers
 * @todo add pagination
 * @link http://www.virtuemart.net
 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @version $Id: default.php 6556 2012-10-17 18:15:30Z kkmediaproduction $
 */

//vmdebug('$this->category',$this->category);
//vmdebug ('$this->category ' . $this->category->category_name);
// Check to ensure this file is included in Joomla!
defined ('_JEXEC') or die('Restricted access');
JHTML::_ ('behavior.modal');
/* javascript for list Slide
  Only here for the order list
  can be changed by the template maker
*/
$js = "
jQuery(document).ready(function () {
	jQuery('.orderlistcontainer').hover(
		function() { jQuery(this).find('.orderlist').stop().show()},
		function() { jQuery(this).find('.orderlist').stop().hide()}
	)
});
";

$document = JFactory::getDocument ();
$document->addScriptDeclaration ($js);

/*$edit_link = '';
if(!class_exists('Permissions')) require(JPATH_VM_ADMINISTRATOR.DS.'helpers'.DS.'permissions.php');
if (Permissions::getInstance()->check("admin,storeadmin")) {
	$edit_link = '<a href="'.JURI::root().'index.php?option=com_virtuemart&tmpl=component&view=category&task=edit&virtuemart_category_id='.$this->category->virtuemart_category_id.'">
		'.JHTML::_('image', 'images/M_images/edit.png', JText::_('COM_VIRTUEMART_PRODUCT_FORM_EDIT_PRODUCT'), array('width' => 16, 'height' => 16, 'border' => 0)).'</a>';
}

echo $edit_link; */
if (empty($this->keyword) and !empty($this->category)) {
	?>
<div class="category_description">
	<?php echo $this->category->category_description; ?>
</div>
<?php
}

/* Show child categories */

if (VmConfig::get ('showCategory', 1) and empty($this->keyword)) {
	if (!empty($this->category->haschildren)) {

		// Category and Columns Counter
		$iCol = 1;
		$iCategory = 1;

		// Calculating Categories Per Row
		$categories_per_row = VmConfig::get ('categories_per_row', 4);
		$category_cellwidth = ' span' . floor(12 / $categories_per_row);
		$class_hd = 'span5';
		
		// Separator
		$verticalseparator = " vertical-separator";
		?>

		<div class="category-view ">

		<?php // Start the Output
		if (!empty($this->category->children)) {
			foreach ($this->category->children as $category) {

				// Show the horizontal seperator
				if ($iCol == 1 && $iCategory > $categories_per_row) {
					?>
					<div class="horizontal-separator"></div>
					<?php
				}

				// this is an indicator wether a row needs to be opened or not
				if ($iCol == 1) {
					?>
			<div class="row-fluid">
			<?php
				}

				// Show the vertical seperator
				if ($iCategory == $categories_per_row or $iCategory % $categories_per_row == 0) {
					$show_vertical_separator = ' ';
				} else {
					$show_vertical_separator = $verticalseparator;
				}

				// Category Link
				$caturl = JRoute::_ ('index.php?option=com_virtuemart&view=category&virtuemart_category_id=' . $category->virtuemart_category_id, FALSE);

				// Show Category
				?>
				<div class="category floatleft<?php echo $category_cellwidth . $show_vertical_separator ?>" >
					<div class="spacer">
						<h2>
							<a href="<?php echo $caturl ?>" title="<?php echo $category->category_name ?>">
								<?php echo $category->category_name ?>
								<br/>
								<?php // if ($category->ids) {
								echo $category->images[0]->displayMediaThumb ("", FALSE);
								//} ?>
							</a>
						</h2>
					</div>
				</div>
				<?php
				$iCategory++;

				// Do we need to close the current row now?
				if ($iCol == $categories_per_row) {
					?>
					<div class="clear"></div>
		</div>
			<?php
					$iCol = 1;
				} else {
					$iCol++;
				}
			}
		}
		// Do we need a final closing row tag?
		if ($iCol != 1) {
			?>
			<div class="clear"></div>
		</div>
	<?php } ?>
	</div>

	<?php
	}
}
?>
<div class="browse-view">
<?php
if (!empty($this->keyword)) {
	?>
<h3><?php echo $this->keyword; ?></h3>
	<?php
} ?>

<h1 class="h-title"><?php echo $this->category->category_name; ?></h1>
<?php if ($this->search !== NULL) {
	$category_id  = JRequest::getInt ('virtuemart_category_id', 0); ?>
<form action="<?php echo JRoute::_ ('index.php?option=com_virtuemart&view=category&limitstart=0', FALSE); ?>" method="get">

	<!--BEGIN Search Box -->
	<div class="virtuemart_search">
		<?php echo $this->searchcustom ?>
		<br/>
		<?php echo $this->searchcustomvalues ?>
		<input name="keyword" class="inputbox" type="text" size="20" value="<?php echo $this->keyword ?>"/>
		<input type="submit" value="<?php echo JText::_ ('COM_VIRTUEMART_SEARCH') ?>" class="button" onclick="this.form.keyword.focus();"/>
	</div>
	<input type="hidden" name="search" value="true"/>
	<input type="hidden" name="view" value="category"/>
	<input type="hidden" name="option" value="com_virtuemart"/>
	<input type="hidden" name="virtuemart_category_id" value="<?php echo $category_id; ?>"/>

</form>
<!-- End Search Box -->
	<?php } ?>

<?php // Show child categories
if (!empty($this->products)) {
	?>
<div class="orderby-displaynumber">
	<div class="span9">
		<?php echo $this->orderByList['orderby']; ?>
		
	</div>
	<div class="span3 display-number"><?php echo $this->vmPagination->getResultsCounter ();?><?php echo $this->vmPagination->getLimitBox ($this->category->limit_list_step); ?></div>
	<div class="clear"></div>
</div> <!-- end of orderby-displaynumber -->


	<div class="row-fluid demo">
	<?php
	// Category and Columns Counter
	$iBrowseCol = 1;
	$iBrowseProduct = 0;
	$iBrowseProducthd = 0;
	// Calculating Products Per Row
	$BrowseProducts_per_row = $this->perRow;
	$Browsecellwidth = ' span' . floor (12 / $BrowseProducts_per_row);

	// Separator
	$verticalseparator = " vertical-separator";

	$BrowseTotalProducts = count($this->products);

	// Start the Output
	
	foreach ($this->products as $product) {
		// this is an indicator wether a row needs to be opened or not
		
		
		// Show the vertical seperator
		
		// Show Products
		?>
		
		<div class="product floatleft<?php echo $Browsecellwidth ;if($iBrowseProduct== $BrowseProducts_per_row){ $iBrowseProduct=0; echo ' first';} ?>" data-hd="category  floatleft span3 <?php  if($iBrowseProducthd== ($BrowseProducts_per_row+1)){ $iBrowseProducthd=0; echo ' first';} ?>">
			<div class="spacer">
				<div class="product-header">
					<h3  class="title pull-left">
						<?php echo JHTML::link ($product->link, $product->product_name); ?>
						
					</h3>
					<div class="price pull-left">
						<?php
							if (VmConfig::get ( 'show_prices' ) == '1') {
								echo $this->currency->createPriceDiv( 'salesPrice', '', $product->prices );
							}	
						?>
					</div>
				</div>
				
				<div class="product-content">
					<div class="product-content-inner">
					
						<div class="product-back">
							<?php // Product Short Description
								if (!empty($product->product_s_desc)) {
							?>
								<p class="product_s_desc">
									<?php echo shopFunctionsF::limitStringByWord ($product->product_s_desc, 250, '...') ?>
								</p>
							<?php } ?>
							
							<div class="vote-rating">
							 <?php // Product Rating
								$products = VmModel::getModel('product');
								$ratingModel = VmModel::getModel('ratings');
								$product->showRating = $ratingModel->showRating($product->virtuemart_product_id);
								if ($product->showRating) {
									 $product->vote = $ratingModel->getVoteByProduct($product->virtuemart_product_id);
									 $product->rating = $ratingModel->getRatingByProduct($product->virtuemart_product_id);
									 $maxrating = VmConfig::get('vm_maximum_rating_scale', 5);

									 if (empty($product->rating)) {
								?>
									 <span class="vote"><?php echo JText::_('COM_VIRTUEMART_RATING') . ' ' . JText::_('COM_VIRTUEMART_UNRATED') ?></span>
									 <?php } else { ?>
									 <span class="vote">
									
										<span title=" <?php echo (JText::_("COM_VIRTUEMART_RATING_TITLE") . $product->rating->rating . '/' . $maxrating) ?>" class="vmicon vm2-stars<?php echo round($product->rating->rating); ?>" style="display:inline-block;">
										</span>
									 </span>
									 <?php } ?>
								<?php }?>
							</div>
							
						</div>
						
						<div class="product-front">
							<div class="product-img">
								<!--// Product Image-->
								<a title="<?php echo $product->product_name ?>" rel="vm-additional-images" href="<?php echo $product->link; ?>">
									<?php
										echo $product->images[0]->displayMediaThumb('class="browseProductImage"', false);
									?>
								</a>
							</div>
						</div>
					
					
					</div>	
				</div>	
				
				

				<div class="addtocart-area">
					<form method="post" class="product" action="<?php echo JRoute::_ ('index.php'); ?>">
						<?php // Product custom_fields
						
						/* Product custom Childs
							 * to display a simple link use $field->virtuemart_product_id as link to child product_id
							 * custom_value is relation value to child
							 */
				
					
						if (!VmConfig::get('use_as_catalog', 0) and !empty($product->prices['salesPrice'])) {
						?>
				
						<div class="addtocart-bar">
				
							<?php // Display the quantity box
				
							$stockhandle = VmConfig::get ('stockhandle', 'none');
							if (($stockhandle == 'disableit' or $stockhandle == 'disableadd') and ($product->product_in_stock - $product->product_ordered) < 1) {
								?>
								<a href="<?php echo JRoute::_ ('index.php?option=com_virtuemart&view=productdetails&layout=notify&virtuemart_product_id=' . $product->virtuemart_product_id); ?>" class="notify"><?php echo JText::_ ('COM_VIRTUEMART_CART_NOTIFY') ?></a>

								<?php } else { ?>
									<?php// Display the add to cart button?>
									
									<span class="addtocart-button">
										<?php echo shopFunctionsF::getAddToCartButton ($product->orderable); ?>
										
									</span>
								<?php } ?>
				
							<div class="clear"></div>
						</div>
						<?php }
						 // Display the add to cart button END  ?>
						<input type="hidden" class="pname" value="<?php echo htmlentities($product->product_name, ENT_QUOTES, 'utf-8') ?>"/>
						<input type="hidden" name="option" value="com_virtuemart"/>
						<input type="hidden" name="view" value="cart"/>
						<input type="hidden" class="quantity-input js-recalculate" name="quantity[]" value="<?php if (isset($product->min_order_level) && (int)$product->min_order_level > 0) { echo $product->min_order_level;
							} else {
								echo '1';
							} ?>"
						/>
						<noscript><input type="hidden" name="task" value="add"/></noscript>
						<input type="hidden" name="virtuemart_product_id[]" value="<?php echo $product->virtuemart_product_id ?>"/>
					</form>
				
					<div class="clear"></div>
				</div>
				<div class="clear"></div>
			</div>
			<!-- end of spacer -->
		</div> <!-- end of product -->
		<?php

		// Do we need to close the current row now?
		
		
		
		$iBrowseProduct++;
		$iBrowseProducthd++;
	} // end of foreach ( $this->products as $product )
	// Do we need a final closing row tag?
	
	?>
	
	
	</div> 
	<!-- end of row -->
	
<div class="vm-pagination">
	<?php echo $this->vmPagination->getPagesLinks (); ?><span class="vm-page pull-right"><?php echo $this->vmPagination->getPagesCounter (); ?></span></div>

	<?php
} elseif ($this->search !== NULL) {
	echo JText::_ ('COM_VIRTUEMART_NO_RESULT') . ($this->keyword ? ' : (' . $this->keyword . ')' : '');
}
?>
</div><!-- end browse-view -->