<?php
/**
 * @package Sj Matrix Slider for Virtuemart
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
 
defined('_JEXEC') or die;
ob_start();
?>
<div class="mts-info mts-reponsive">
	<div class="mts-info-inner">
		<div class="mts-info-item">
			<?php if( $params->get('item_title_display') == 1 ){?>
			<div class="item-title">
				<a href="<?php echo  $list[$start]->link; ?>" title="<?php echo $list[$start]->title; ?>" <?php echo VmMatrixSliderHelper::parseTarget($params->get('item_link_target')); ?> >
					<?php echo  VmMatrixSliderHelper::truncate($list[$start]->title,$params->get('item_title_max_characs',25)) ; ?>
				</a>
			</div>
			<?php }
			if((int)$params->get('item_price_display',1)){ ?>
			<div class="item-price">
				<?php
				if (!empty($list[$start]->prices['salesPrice'])) {
					echo $currency->createPriceDiv ('salesPrice', '',$list[$start]->prices, FALSE, FALSE, 1.0, TRUE);
				}
				if (!empty($list[$start]->prices['salesPriceWithDiscount'])) {
					echo $currency->createPriceDiv ('salesPriceWithDiscount', '', $list[$start]->prices, FALSE, FALSE, 1.0, TRUE);
				} ?>
			</div>
			<?php } 
			if($params->get('item_rating_display') == 1) {?>
			<div class="item-rating">
				<?php 
				if($params->get('item_rating_display') == 1){
					if (empty($list[$start]->rating)) {
					?>
					<span class="item-vote"><?php echo JText::_('COM_VIRTUEMART_RATING') . ' ' . JText::_('COM_VIRTUEMART_UNRATED') ?></span>
					 <?php } else {
						$ratingwidth = $list[$start]->rating->rating * 14; //I don't use round as percetntage with works perfect, as for me
					 ?>
					<span class="item-vote">
						<span title=" <?php echo (JText::_("COM_VIRTUEMART_RATING_TITLE") . round($list[$start]->rating->rating) . '/' . $maxrating) ?>" class="ratingbox" style="display:inline-block;">
						<span class="stars-orange" style="width:<?php echo $ratingwidth.'px'; ?>">
						</span>
						</span>
					</span>
					<?php }	
				}?>
			</div>
			<?php }
			if($params->get('item_desc_display') == 1) {?>
			<div class="item-description">
				<?php echo $list[$start]->_description; ?>
			</div>
			<?php } 
			if($params->get('item_readmore_display') == 1) {?>
			<div class="item-readmore">
				<a href="<?php $list[$start]->link; ?>" title="<?php echo $list[$start]->title; ?>"  <?php echo VmMatrixSliderHelper::parseTarget($params->get('item_link_target')); ?>>
					<?php echo $params->get('item_readmore_text','Read more');?>
				</a>  
			</div>
			<?php } ?>
		</div>
	</div>
	<ul class="mts-control">
		<li class="mts-prev"></li>
		<li class="mts-addtocart">
			<div class="addtocart-area">
				<form action="<?php echo JRoute::_ ('index.php'); ?>" class="product" method="post">
					<input type="hidden" value="1" name="quantity">
					<div class="addtocart-bar">
					<span class="addtocart-button">
						<input type="submit" title="Add to Cart" value="Add to Cart" class="addtocart-button" name="addtocart">
						<input type="hidden" value="<?php echo $list[$start]->title ?>" class="pname mts-product-name">
						<input type="hidden" value="cart" name="view">
						<noscript><input type="hidden" name="task" value="add"/></noscript>
						<input type="hidden" value="<?php echo $list[$start]->id ?>" name="virtuemart_product_id[]" class="mts-product-id">
					 </span>
					</div>
					<input type="hidden" value="com_virtuemart" name="option">
				</form>
			</div>
		</li>
		<li class="mts-next"></li>
	</ul>
</div>
<?php
$item_content = ob_get_contents();
ob_end_clean();
 ?>