<?php

/**
 * @package		Joomla.Site
 * @subpackage	com_contact
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die;

/* marker_class: Class based on the selection of text, none, or icons
 * jicon-text, jicon-none, jicon-icon
 */
?>
<?php if (($this->params->get('address_check') > 0) &&  ($this->contact->address || $this->contact->suburb  || $this->contact->state || $this->contact->country || $this->contact->postcode)) : ?>
	<li class="contact-address">
	
	<?php if ($this->contact->address && $this->params->get('show_street_address')) : ?>
		<span class="contact-street">
			Add 2 :<?php echo nl2br($this->contact->address); ?>
		</span>
	<?php endif; ?>
	<?php if ($this->contact->suburb && $this->params->get('show_suburb')) : ?>
		<p class="contact-suburb">
			<?php echo $this->contact->suburb; ?>
		</p>
	<?php endif; ?>
	<?php if ($this->contact->state && $this->params->get('show_state')) : ?>
		<p class="contact-state">
			<?php echo $this->contact->state; ?>
		</p>
	<?php endif; ?>
	<?php if ($this->contact->postcode && $this->params->get('show_postcode')) : ?>
		<p class="contact-postcode">
			<?php echo $this->contact->postcode; ?>
		</p>
	<?php endif; ?>
	<?php if ($this->contact->country && $this->params->get('show_country')) : ?>
		<p class="contact-country">
			<?php echo $this->contact->country; ?>
		</p>
	<?php endif; ?>
<?php endif; ?>

<?php if ($this->params->get('address_check') > 0) : ?>
	
	</li>
<?php endif; ?>
<?php if($this->params->get('show_telephone')||$this->params->get('show_fax')||$this->params->get('show_mobile')|| $this->params->get('show_webpage') ) : ?>
	<li class="show_telephone">
	<?php if ($this->contact->telephone && $this->params->get('show_telephone')) : ?>
		<span class="contact-telephone">
			Tel: <?php echo nl2br($this->contact->telephone); ?>
		</span></br>

	<?php endif; ?>
	<?php if ($this->contact->fax && $this->params->get('show_fax')) : ?>
		<span class="contact-fax">
		<?php echo nl2br($this->contact->fax); ?>
		</span></br>

	<?php endif; ?>
	<?php if ($this->contact->mobile && $this->params->get('show_mobile')) :?>
		<span class="contact-mobile">
			Tel: <?php echo nl2br($this->contact->mobile); ?>
		</span>
	<?php endif; ?>
	</li>
<?php endif; ?>

	
	<?php if($this->params->get('show_email')) : ?>
	<li class="contact-contactinfo">
	<?php if ($this->contact->email_to && $this->params->get('show_email')) : ?>
		<span class="<?php echo $this->params->get('marker_class'); ?>" >
				<?php echo $this->params->get('marker_email'); ?>
			</span>
		<?php echo $this->contact->email_to; ?>
	<?php endif; ?>

	
	

	<?php if ($this->contact->webpage && $this->params->get('show_webpage')) : ?>
		<p>
			<span class="<?php echo $this->params->get('marker_class'); ?>" >
			</span>
			<span class="contact-webpage">
				<!--<a href="<?php //echo $this->contact->webpage; ?>" target="_blank">
				<?php //echo $this->contact->webpage; ?></a>-->
			</span>
		</p>
	<?php endif; ?>
	</li>
<?php endif; ?>
