<?php
/**
 * @package Sj Matrix Slider for Virtuemart
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
 
defined('_JEXEC') or die;
    JHtml::stylesheet('templates/' . JFactory::getApplication()->getTemplate().'/html/'.$module->module.'/css/styles.css');
	if( !defined('SMART_JQUERY') && $params->get('include_jquery', 0) == "1" ){
		JHtml::script('modules/'.$module->module.'/assets/js/jquery-1.8.2.min.js');
		JHtml::script('modules/'.$module->module.'/assets/js/jquery-noconflict.js');
		define('SMART_JQUERY', 1);
	}
	JHtml::script('modules/'.$module->module.'/assets/js/slider.js');
	JHtml::script('modules/'.$module->module.'/assets/js/jquery.easing.js');
	JHtml::script('modules/'.$module->module.'/assets/js/jquery.cj-swipe.js');
	ImageHelper::setDefault($params);
	$tag_id = 'sj_matrix_slider_'.rand().time();
	$count_item = count($list);
	$nb_column0 = ($params->get('nb-column0',6) >= $count_item)?$count_item:$params->get('nb-column0',6);
	$nb_column1 = ($params->get('nb-column1',6) >= $count_item)?$count_item:$params->get('nb-column1',6);
	$nb_column2 = ($params->get('nb-column2',4) >= $count_item)?$count_item:$params->get('nb-column2',4);
	$nb_column3 = ($params->get('nb-column3',2) >= $count_item)?$count_item:$params->get('nb-column3',2);
	$nb_column4 = ($params->get('nb-column4',1) >= $count_item)?$count_item:$params->get('nb-column4',1);
	
	$class_respl0= 'mts-resp00-'.$nb_column0.' mts-resp01-'.$nb_column1.' mts-resp02-'.$nb_column2.' mts-resp03-'.$nb_column3.' mts-resp04-'.$nb_column4;
	
	$nb_cl0 = ($nb_column0 > 1)?$nb_column0-1:1;
	$nb_cl1 = ($nb_column1 > 1)?$nb_column1-1:1;
	$nb_cl2 = ($nb_column2 > 1)?$nb_column2-1:1;
	$nb_cl3 = ($nb_column3 > 1)?$nb_column3-1:1;
	$nb_cl4 = ($nb_column4 > 1)?$nb_column4-1:1;
	$class_respl1 = 'preset00-'.$nb_cl0.' preset01-'.$nb_cl1.' preset02-'.$nb_cl2.' preset03-'.$nb_cl3.' preset04-'.$nb_cl4;
	
	$currency = CurrencyDisplay::getInstance( );
	$maxrating = VmConfig::get('vm_maximum_rating_scale', 5);
	
	$start = $params->get('start',1);
	$start = ($start <=0 || $start > count($list))?0:$start-1;
	$item_start = $list[$start];
	$interval = $params->get('interval',3000);
	$play = (int)$params->get('play',1);
	$interval = ($play == 1)?$interval:0;
	$duration = $params->get('duration',800);
	$pause_hover = $params->get('pause_hover', 'hover');
	$easing = $params->get('easing','easeInOutBounce');
?>

<?php if($params->get('pretext') != '') { ?>
	<div class="pre-text"><?php echo $params->get('pretext'); ?></div>
<?php } ?> 
<?php
	require JModuleHelper::getLayoutPath($module->module, $layout.'_js');
	if(!empty($list)) {
	require JModuleHelper::getLayoutPath($module->module, $layout.'_item');
	
?>

<!--[if lt IE 9]><div class="sj-maxtrix-slider msie lt-ie9" id="<?php echo $tag_id; ?>"><![endif]-->
<!--[if IE 9]><div class="sj-maxtrix-slider msie " id="<?php echo $tag_id; ?>"><![endif]-->
<!--[if gt IE 9]><!--><div class="sj-maxtrix-slider" id="<?php echo $tag_id; ?>"><!--<![endif]-->
	<div class="mts-wrap mts-wrap-next <?php echo $class_respl0; ?>">
		<?php  echo $item_content; ?>
		<div class="mts-images-wrap mts-reponsive">	
			<div class="mts-slider not-js cols-6 <?php echo $class_respl1; ?>">
				<div class="mts-container">
					<div class="mts-container-inner">
						<div class="mts-mark"><div class="mts-mark-inner"><a class="mts-mark-link" <?php echo VmMatrixSliderHelper::parseTarget($params->get('item_link_target')); ?> title="Title" href="#"></a></div></div>
						<div class="mts-items">
						<?php $i= -1;
						foreach($list as $item){ $i++;
							$img = VmMatrixSliderHelper::getVmImage($item, $params);?>
							<div class="mts-item" data-slide="<?php echo $i; ?>" >
								<div class="item-wrap" 
								data-subtitle="<?php echo VmMatrixSliderHelper::truncate($item->title,$params->get('item_title_max_characs',25)) ; ?>" 
								data-title="<?php echo htmlentities($item->title, ENT_QUOTES, 'utf-8'); ?>" 
								data-product-id="<?php echo $item->id; ?>" 
								data-link="<?php echo $item->link; ?>" 
								data-description="<?php echo htmlentities($item->short_desc , ENT_QUOTES | ENT_IGNORE, "UTF-8"); ?>" 
								data-price="<?php 
								if (!empty($item->prices['salesPrice'])) {
									echo htmlentities($currency->createPriceDiv ('salesPrice', '',$item->prices, FALSE, FALSE, 1.0, TRUE), ENT_QUOTES, 'utf-8');
								}
								if (!empty($item->prices['salesPriceWithDiscount'])) {
									echo htmlentities($currency->createPriceDiv ('salesPriceWithDiscount', '', $item->prices, FALSE, FALSE, 1.0, TRUE), ENT_QUOTES, 'utf-8');
								}; ?>" 
								data-rating="<?php 
								if (empty($item->rating)) {
									echo htmlentities('<span class="item-vote">'.JText::_('COM_VIRTUEMART_RATING') . ' ' . JText::_('COM_VIRTUEMART_UNRATED').'</span>');
								} else {
									$ratingwidth = $item->rating->rating * 14; 
									echo htmlentities('
									<span class="item-vote">
										<span title="'.(JText::_("COM_VIRTUEMART_RATING_TITLE") . round($item->rating->rating) . '/' . $maxrating).'" class="ratingbox" style="display:inline-block;">
										<span class="stars-orange" style="width:'.$ratingwidth.'px'.'">
										</span>
										</span>
									</span>
									');
								};?>">	
									<div class="mts-image">
										<?php   echo VmMatrixSliderHelper::imageTag($img);?>
									</div>
								</div>
							</div>
						<?php }?>
						</div>
					</div>
				</div>
			</div>
		</div>
    </div>	
</div>	
<?php } else { ?>
	<div class="mts-no-item">
		<?php echo JText::_('Has no content to show!'); ?>
	</div>
<?php } ?>
<?php if($params->get('posttext') != '') {  ?>
	<div class="post-text"><?php echo $params->get('posttext'); ?></div>
<?php }?>

