<?php
/**
 * @package Sj Flat Menu
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */

defined('_JEXEC') or die;

$event = $params->get("event","click");
$duration = $params->get("duration",300);
?>
<script type="text/javascript">
//<![CDATA[
jQuery(document).ready(function($){
	;(function(element){
		$element = $(element);
		$('li:first-child',$element).addClass("fm-first");
		$('li:last-child',$element).addClass("fm-last");
		$('.fm-container',$element).each(function(){
			$('ul > li',$(this)).eq(0).addClass("fm-first");
			$('ul > li:last-child',$(this)).addClass("fm-last");
		});
		
		// $element.find("a").click(function(){
			// if ($(this).attr("target") == '_blank') {
				// window.open($(this).attr("href"));
			// } else {
				// location = $(this).attr("href");
			// }	
			// return false;
		// });
	
		
		<?php if($event == "click"){?>
		$element.find(".fm-item").click(function(){
			var li = $(this).parent();
			if(!li.hasClass("fm-opened")){
				var fl_openedLi = li.parent().children(".fm-opened");
				var ul = li.children(".fm-container");
				<?php if ($type_menu == 'flyout') {?>
				fl_openedLi.children(".fm-container").hide(<?php echo $duration;?>);
				<?php } else { ?>
				fl_openedLi.children(".fm-container").slideUp(<?php echo $duration;?>);	
				<?php }?>
				fl_openedLi.removeClass("fm-opened");
				fl_openedLi.children(".fm-item").children(".fm-button").children(".fm-icon").text('«');
				li.addClass("fm-opened");
				li.children(".fm-item").children(".fm-button").children(".fm-icon").text('«');
				<?php if ($type_menu == 'flyout') {?>
				ul.show(<?php echo $duration;?>);
				<?php } else { ?>
				ul.slideDown(<?php echo $duration;?>);
				<?php }?>
			}else{
				<?php if ($type_menu == 'flyout') {?>
				li.children(".fm-container").hide(<?php echo $duration;?>);
				<?php } else { ?>
				li.children(".fm-container").slideUp(<?php echo $duration;?>);
				<?php }?>
				
				li.removeClass("fm-opened");
				li.children(".fm-item").children(".fm-button").children(".fm-icon").text('»');
			}
			//return false;
		});
		// $("body").click(function(){
			// $(".fm-opened").removeClass("fm-opened");
			// $(".fm-container").hide(<?php echo $duration;?>); 
			// $('.fm-item',$element).parent().children(".fm-item").children(".fm-button").children("img").attr("src", "<?php echo $icon_normal;?>");
		// });	
		<?php }else{?>
		$element.find("li").mouseenter(function(){
			var ul = $(this).children(".fm-container");
			$(this).addClass("fm-opened");
			<?php if ($type_menu == 'flyout') {?>
			ul.show(<?php echo $duration;?>);
			<?php } else { ?>
			ul.slideDown(<?php echo $duration;?>);
			<?php }?>
			$(this).children(".fm-item").children(".fm-button").children(".fm-icon").text('«');
			//return false;
		}).mouseleave(function(){
			<?php if ($type_menu == 'flyout') {?>
			$(this).children(".fm-container").hide(<?php echo $duration;?>);
			<?php } else { ?>
			$(this).children(".fm-container").slideUp(<?php echo $duration;?>);
			<?php }?>
			$(this).removeClass("fm-opened");
			$(this).children(".fm-item").children(".fm-button").children(".fm-icon").text('»');
			$(this).find(".fm-container").css("display","none");
			$(this).find(".fm-opened").removeClass("fm-opened");
			//return false;
		});
	<?php }?>	
	
	})('#<?php echo $tag_id ; ?>');
});
//]]>
</script>
