<?php
/**
 * @package Sj Responsive Listing for Virtuemart
 * @version 3.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */
// addon for joomla modal Box
JHTML::_('behavior.modal');

defined('_JEXEC') or die;
$currency = &CurrencyDisplay::getInstance();
if(isset($list['items'])) {
ImageHelper::setDefault($params);
foreach($list['items']  as $item){  ?>
	<div class="respl-item category-<?php echo $item->catid ?>"  
		data-product_price="<?php echo $item->prices['salesPrice']; ?>" 
		data-created="<?php echo strtotime($item->created_on) ?>" 
		data-latest="<?php echo ($item->modified_on != '')?strtotime($item->modified_on):0; ?>" 
		data-ordering="<?php echo $item->ordering; ?>" 
		data-topten="<?php echo $item->product_sales; ?>" 
		data-title="<?php echo mb_strtolower($item->title); ?>" 
		data-id="<?php echo $item->id; ?>" 
		data-catid="<?php echo $item->catid ?>">
		<div class="item-inner">
		<div class="item-inner2">
		
			<div class="product-header">
				<?php if($params->get('item_title_display',1) == 1){?>
				<h3 class="title pull-left">
					<a href="<?php echo $item->link ?>" <?php echo VmResponsiveListingHelper::parseTarget($params->get('link_target','_self'))?> title="<?php echo $item->title?>" >
						<?php echo VmResponsiveListingHelper::truncate($item->title, $params->get('item_title_max_characters',25)); ?>
					</a>
				</h3>
				<?php }?>
				
				<?php if((int)$params->get('item_price_display',1)){ ?>
				<div class="price pull-left">
					<?php
					if (!empty($item->prices['salesPrice'])) {
						echo $currency->createPriceDiv ('salesPrice', '', $item->prices, FALSE, FALSE, 1.0, TRUE);
					}
					?>
				</div>
				<?php } ?>
			</div>
			
			<?php $img = VmResponsiveListingHelper::getVmImage($item, $params);  
			if($img && (@GetImageSize($img['src']) || file_exists($img['src']))) {?>
			
			<div class="product-content">
				<div class="product-content-inner">
					<?php //var_dump($item);die();?>
					<div class="product-back">
						<?php if($params->get('item_description_display', 1) == 1 && VmResponsiveListingHelper::_trimEncode($item->_description) != '') {?>
						<div class="product_s_desc">
							<?php echo VmResponsiveListingHelper::truncate($item->short_desc, (int)$params->get('item_des_maxlength_layout_grid'));?>
					 	</div>
						
					 	<?php }?>
						<?php if($params->get('item_rating_display',1)){
							$maxrating = VmConfig::get('vm_maximum_rating_scale', 5);
							if (empty($item->rating)) { ?>
								<div class="vote-rating">
									<?php echo JText::_('COM_VIRTUEMART_RATING') . ' ' . JText::_('COM_VIRTUEMART_UNRATED') ?>
								</div>
							<?php } else { $ratingwidth = $item->rating->rating * 14; ?>
								<div class="vote-rating">
									<span title=" <?php echo (JText::_("COM_VIRTUEMART_RATING_TITLE") . round($item->rating->rating) . '/' . $maxrating) ?>" class="ratingbox" style="display:inline-block;">
										<span class="stars-orange" style="width:<?php echo $ratingwidth.'px'; ?>"></span>
									</span>
								</div>
							<?php }
						}
						?>
						
						
					</div>
					<div class="product-front">
						<div class="product-img">
								<a href="<?php echo $item->link ?>" <?php echo VmResponsiveListingHelper::parseTarget($params->get('link_target','_self'))?> title="<?php echo $item->title?>" >
									<?php   echo VmResponsiveListingHelper::imageTag($img);?>
								<?php if($params->get('item_cat_display', 1) == 1){?>
								
								<?php }?>
								</a>
						</div>
					</div>
					
				</div>
			</div>
			<?php }?>
			
			<div class="product-bottom">
			<?php if($params->get('item_title_display',1) == 1){?>
				<h3 class="item-title sansFont">
					<a href="<?php echo $item->link ?>" <?php echo VmResponsiveListingHelper::parseTarget($params->get('link_target','_self'))?> title="<?php echo $item->title?>" >
						<?php echo VmResponsiveListingHelper::truncate($item->title, $params->get('item_title_max_characters',25)); ?>
					</a>
				</h3>
			<?php }?>
			<?php if((int)$params->get('item_price_display',1)){ ?>
			<div class="item-price">
				<?php
				if (!empty($item->prices['salesPrice'])) {
					echo $currency->createPriceDiv ('salesPrice', '', $item->prices, FALSE, FALSE, 1.0, TRUE);
				}
				?>
			</div>
			<?php } ?>
			<?php if($params->get('item_rating_display',1)){
					$maxrating = VmConfig::get('vm_maximum_rating_scale', 5);
					if (empty($item->rating)) { ?>
						<span class="item-vote">
							<?php echo JText::_('COM_VIRTUEMART_RATING') . ' ' . JText::_('COM_VIRTUEMART_UNRATED') ?>
							<a class="add-review" href="<?php echo $item->link ?>?#myTab">Add Review</a>
						</span>
					<?php } else { $ratingwidth = $item->rating->rating *14; ?>
						<div class="item-vote">
							
							<span title=" <?php echo (JText::_("COM_VIRTUEMART_RATING_TITLE") . round($item->rating->rating) . '/' . $maxrating) ?>" class="ratingbox" style="display:inline-block;">
								<span class="stars-orange" style="width:<?php echo $ratingwidth.'px'; ?>"></span>
							</span>
							<span class="vote-number">
								<?php //echo JText::_('COM_VIRTUEMART_RATING') . ' ' . round($this->rating->rating) . '/' . $maxrating; ?>
								<?php if(round($item->rating->rating)>1) echo '( '. round($item->rating->rating) . ' Reviews)'; else echo '( '. round($item->rating->rating) . ' Review)'; ?>
							</span>
							<a class="add-review" href="<?php echo $item->link ?>?#myTab">Add Review</a>
						</div>
					<?php }
				}
				?>	
			<?php if($params->get('item_created_display', 1)== 1) {?>
			<div class="item-post-read">
				<?php if($params->get('item_created_display',1) == 1) {?>
				<div class="item-post" data-value="<?php echo JText::_('POST_LABEL')?>">&nbsp;<?php echo  JHTML::_('date', $item->created_on,JText::_('DATE_FORMAT_LC3')) ?></div>
				<?php }?>
			</div>
			<?php } 
			if($params->get('item_description_display', 1) == 1 && VmResponsiveListingHelper::_trimEncode($item->_description) != '') {?>
			<div class="item-desc">
				<?php echo VmResponsiveListingHelper::truncate($item->short_desc, (int)$params->get('item_des_maxlength_layout_list')); ?>
			</div>
			<?php }?>
			
		
			<?php if($params->get('item_readmore_display', 1) == 1){?>
			<div class="item-readmore">
				<!--add to card-->
				<div class="addtocart-area clearfix">
					<!--Add to cart button BEGIN-->
<form method="post" class="product" action="index.php" id="addtocartproduct<?php echo $item->virtuemart_product_id ?>">
  <div class="addtocart-bar">
    <?php // Display the quantity box BEGIN ?>
    
               
      <?php // Display the quantity box END ?>
     
	 <?php // Add the button
        $button_lbl = JText::_('COM_VIRTUEMART_CART_ADD_TO');
        $button_cls = ''; //$button_cls = 'addtocart_button';
        if (VmConfig::get('check_stock') == '1' && !$this->product->product_in_stock) {
            $button_lbl = JText::_('COM_VIRTUEMART_CART_NOTIFY');
            $button_cls = 'notify-button';
      } ?>
    <!-- </div> -->
      <?php // Display the add to cart button ?>
      <span class="addtocart-button">
        <input type="submit" name="addtocart"  class="addtocart-button" value="<?php echo $button_lbl ?>" title="<?php echo $button_lbl ?>" />
      </span>
      <div class="clear"></div>
  </div>
  <?php // Display the add to cart button END ?>
  <input type="hidden" class="pname" value="<?php echo $item->product_name ?>">
  <input type="hidden" name="option" value="com_virtuemart" />
  <input type="hidden" name="view" value="cart" />
  <noscript><input type="hidden" name="task" value="add" /></noscript>
  <input type="hidden" name="virtuemart_product_id[]" value="<?php echo $item->virtuemart_product_id ?>" />
  <?php /** @todo Handle the manufacturer view */ ?>
  <input type="hidden" name="virtuemart_manufacturer_id" value="<?php echo $item->virtuemart_manufacturer_id ?>" />
  <input type="hidden" name="virtuemart_category_id[]" value="<?php echo $item->virtuemart_category_id ?>" />
</form><!--Add to cart button END-->
				
					<div class="clear"></div>
				</div>
			</div>
			<?php } ?>
			
			
			</div>
		
		</div>		
		</div>
	</div>
<?php } 
} ?>
